
Infrastructure - Task #7815

Story # 7652 (Closed): Enable simple metrics reporting for core services

Create Common Metrics Logging Interface for D1 Processing

2016-05-18 16:01 - Robert Waltz

Status: Closed Start date: 2016-05-18

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_common Estimated time: 0.00 hour

Target version: CCI-2.2.0   

Milestone: None Story Points:  

Product Version: *   

Description

Create a common interface for replication, log aggregation and synchronization that may be replaced easily with other logging

frameworks or interfaces in the future.  

Also, create an implementation for replication, synchronization and log aggregation that may be retrieved through a factory.

Associated revisions

Revision 18006 - 2016-05-20 15:10 - Robert Waltz

refs #7815

Create Common Metrics Logging Interface for D1 Processing

Revision 18006 - 2016-05-20 15:10 - Robert Waltz

refs #7815

Create Common Metrics Logging Interface for D1 Processing

Revision 18007 - 2016-05-20 20:14 - Robert Waltz

refs #7815

Create Common Metrics Logging Interface for D1 Processing

Revision 18007 - 2016-05-20 20:14 - Robert Waltz

refs #7815

Create Common Metrics Logging Interface for D1 Processing

Revision 18046 - 2016-06-07 15:48 - Robert Waltz

refs #7815

fix cut and paste errors in configuration file

Revision 18046 - 2016-06-07 15:48 - Robert Waltz

refs #7815
fix cut and paste errors in configuration file

Revision 18271 - 2016-08-10 15:16 - Robert Waltz

refs #7815

Perl scripts were written to modify LDAP in the case that a new version of an LDAP schema needs automated adjustments either before or after

LDAP config generation

The Perl scripts were commented out.  We only used the perl scripts once, and if they need to be used in the future, their logic will need to be

re-addressed.

History

#1 - 2016-05-31 16:57 - Robert Waltz

- Status changed from In Progress to Testing

- % Done changed from 30 to 50

#2 - 2016-06-14 19:46 - Robert Waltz

- Status changed from Testing to Closed

- % Done changed from 50 to 100

- translation missing: en.field_remaining_hours set to 0.0
